## com.bbn.openmap.omGraphics.labeled
Class EditableLabeledOMPoly

    java.lang.Object
      com.bbn.openmap.event.MapMouseAdapter
          com.bbn.openmap.omGraphics.EditableOMGraphic
              com.bbn.openmap.omGraphics.EditableOMAbstractLine
                  com.bbn.openmap.omGraphics.EditableOMPoly
                      com.bbn.openmap.omGraphics.labeled.EditableLabeledOMPoly

All Implemented Interfaces:
  MapMouseListener

public class EditableLabeledOMPoly
extends EditableOMPoly

The EditableLabeledOMPoly encompasses an LabeledOMPoly, providing methods for modifying or creating it.

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`gpm, gpo, manualEnclosed, OFFSET_POINT_INDEX, poly, polyGrabPoints`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`arrowheadMenu, i18n`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`actionMask, canGrabGraphic, DEBUG, DEBUG_DETAIL, gPoints, holder, lastMouseEvent, listeners, mouseModeServiceList, movingPoint, projection, showGUI, stateMachine`

Constructor Summary
`EditableLabeledOMPoly()` Create the EditableLabeledOMPoly, setting the state machine to create the poly off of the gestures.
`EditableLabeledOMPoly(GraphicAttributes ga)` Create an EditableLabeledOMPoly with the polyType and renderType parameters in the GraphicAttributes object.
`EditableLabeledOMPoly(LabeledOMPoly omp)` Create the EditableLabeledOMPoly with a LabeledOMPoly already defined, ready for editing.

Method Summary
`OMGraphic` `createGraphic(int renderType, int lineType)` Extendable method to create specific subclasses of OMPolys.
`java.net.URL` `getImageURL(java.lang.String imageName)`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMPoly

`addMovingPoint, addPoint, addPoint, addPoint, addPoint, addPolyGrabPointsToOGP, assertGrabPoints, attachToMovingGrabPoint, createGrabPoint, createGraphic, deletePoint, deletePoint, detachFromMovingGrabPoint, enablePolygonButton, enablePolygonEditButtons, enclose, evaluateEnclosed, generate, getGrabPoint, getGrabPoints, getGraphic, getGUI, getMovingPoint, getPolyGUI, getPolyGUI, init, isEnclosed, move, regenerate, render, setEnclosed, setGrabPoint, setGrabPoints, setGrabPoints, setGrabPoints, setGraphic, setMovingPoint, syncEnclosed, unsyncEnclosed, whichGrabPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`createArrowIcon, getArrowHeadMenu`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic

`_getMovingPoint, addEOMGListener, cleanMap, finalize, fireEvent, fireEvent, fireEvent, fireEvent, getActionMask, getCanGrabGraphic, getGUI, getMouseModeServiceList, getMovingPoint, getProjection, getShowGUI, getStateMachine, handleInitialMouseEvent, modifyOMGraphicForEditRender, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, redraw, redraw, redraw, removeEOMGListener, repaint, repaintRender, reset, resetOMGraphicAfterEditRender, setActionMask, setCanGrabGraphic, setMouseModeServiceList, setProjection, setShowGUI, setStateMachine`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditableLabeledOMPoly

    public EditableLabeledOMPoly()

  Create the EditableLabeledOMPoly, setting the state machine to create the poly off of the gestures.

### EditableLabeledOMPoly

    public EditableLabeledOMPoly(GraphicAttributes ga)

  Create an EditableLabeledOMPoly with the polyType and renderType parameters in the GraphicAttributes object.

### EditableLabeledOMPoly

    public EditableLabeledOMPoly(LabeledOMPoly omp)

  Create the EditableLabeledOMPoly with a LabeledOMPoly already defined, ready for editing.

Parameters:
  `omp` - LabeledOMPoly that should be edited.

Method Detail

### createGraphic

    public OMGraphic createGraphic(int renderType,
                                   int lineType)

  Extendable method to create specific subclasses of OMPolys.

  Overrides:
    `createGraphic` in class `EditableOMPoly`

### getImageURL

    public java.net.URL getImageURL(java.lang.String imageName)

  Overrides:
    `getImageURL` in class `EditableOMPoly`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details